## skrooge 2.22.1

=== debian/changelog ===
skrooge (2.22.1-1build1) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:52:20 +0000

skrooge (2.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Apr 2020 10:30:06 +0200

=== debian/control ===
Source: skrooge
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0),
               qtbase5-dev (>= 5.7.0),
               qtbase5-private-dev (>= 5.7.0),
               libqt5svg5-dev (>= 5.7.0),
               qttools5-dev (>= 5.7.0),
               libqt5webkit5-dev (>= 5.7.0),
               qtdeclarative5-dev (>= 5.7.0),
               libkf5activities-dev,
               libkf5archive-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               kgendesignerplugin,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5runner-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libgrantlee5-dev (>= 0.5),
               libqca-qt5-2-dev,
               xsltproc,
               libofx-dev,
               libsqlcipher-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               dh-python,
               python3:any,
               shared-mime-info,
               gettext,
Standards-Version: 4.5.0
Homepage: https://skrooge.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge

Package: skrooge
Architecture: any
Depends: libqca-qt5-2-plugins,
         libqt5sql5-sqlite,
         skrooge-common (= ${source:Version}),
         kinit,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: poppler-utils
Breaks: skrooge-common (<< 2.13.0-2~),
Replaces: skrooge-common (<< 2.13.0-2~),
Description: personal finance manager for KDE
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 Here is the list of Skrooge main features:
  * QIF, CSV, KMyMoney, Skrooge,  import/export
  * OFX, QFX, GnuCash, Grisbi, HomeBank import
  * Advanced Graphical Reports
  * Several tabs to help you organize your work
  * Infinite undo/redo
  * Instant filtering on operations and reports
  * Infinite categories levels
  * Mass update of operations
  * Scheduled operations
  * Track refund of your expenses
  * Automatically process operations based on search conditions
  * Multi currencies
  * Dashboard

Package: skrooge-common
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Skrooge architecture independent files
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 This package contains architecture independent files needed for Skrooge to run
 properly. It also provides Skrooge documentation. Therefore, unless you
 have 'skrooge' package installed, you will hardly find this package useful.

## skrooge 2.23.0

=== CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE ROOT ::..")

PROJECT(skrooge)

SET (QT_MIN_VERSION "5.7.0")

OPTION(SKG_BUILD_TEST "Build the test" ON)
OPTION(SKG_DESIGNER   "Build designer library" ON)
OPTION(SKG_WEBENGINE  "Build WebEngine instead of WebKit" OFF)
IF(WIN32)
    SET(SKG_WEBENGINE OFF)
    SET(SKG_DESIGNER OFF)
ENDIF(WIN32)
IF(SKG_WEBENGINE)
    SET (QT_MIN_VERSION "5.9.0")
ENDIF(SKG_WEBENGINE)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
IF(POLICY CMP0063)
  CMAKE_POLICY(SET CMP0063 NEW)
ENDIF(POLICY CMP0063)
 
FIND_PACKAGE(ECM 1.7.0 REQUIRED NO_MODULE)
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${skrooge_SOURCE_DIR}/cmake/modules)
INCLUDE(ECMInstallIcons)
INCLUDE(KDEInstallDirs)
INCLUDE(KDECompilerSettings)
INCLUDE(KDECMakeSettings)
INCLUDE(FeatureSummary)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(GenerateExportHeader)
INCLUDE(ECMSetupVersion)
INCLUDE(ECMGenerateHeaders)
INCLUDE(ECMPackageConfigHelpers)
INCLUDE(KDEFrameworkCompilerSettings)

FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED Core DBus Widgets Script Sql Test PrintSupport Svg Xml Concurrent Qml QuickWidgets)
IF(SKG_WEBENGINE)
    FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED WebEngineWidgets)
ELSE(SKG_WEBENGINE)
    FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED WebKitWidgets)
ENDIF(SKG_WEBENGINE)

IF(SKG_DESIGNER)
  FIND_PACKAGE(Qt5 ${QT_MIN_VERSION} NO_MODULE REQUIRED Designer )
  FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS
    DesignerPlugin        # Tier 3
  )  
ELSE(SKG_DESIGNER)
  SET(SKG_BUILD_TEST OFF)
ENDIF(SKG_DESIGNER)

FIND_PACKAGE(Grantlee5 0.5 REQUIRED)

FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS
  Archive               # Tier 1
  Config                # Tier 1
  CoreAddons            # Tier 1
  I18n                  # Tier 1
  ItemViews             # Tier 1
  WidgetsAddons         # Tier 1
  WindowSystem          # Tier 1
  Completion            # Tier 2
  JobWidgets            # Tier 2
  ConfigWidgets         # Tier 3
  IconThemes            # Tier 3
  KIO                   # Tier 3
  NewStuff              # Tier 3
  Parts                 # Tier 3
  Wallet                # Tier 3
  XmlGui                # Tier 3
)

FIND_PACKAGE(KF5DocTools)

FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(SQLCIPHER REQUIRED sqlcipher)
MESSAGE( STATUS "     Mode SQLCIPHER enabled")
MESSAGE( STATUS "     SQLCIPHER INCLUDE   :  " ${SQLCIPHER_INCLUDE_DIRS})
SET(SQLITE_LIBRARIES ${SQLCIPHER_LIBRARIES})
SET(SQLITE_INCLUDE_DIR ${SQLCIPHER_INCLUDE_DIRS})
link_directories(${SQLCIPHER_LIBRARY_DIRS})

SET_PACKAGE_PROPERTIES(Sqlcipher PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://www.zetetic.net/sqlcipher/"
                       TYPE REQUIRED)

SET(GRANTLEE_VERSION ${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}.${Grantlee5_VERSION_PATCH})
MESSAGE( STATUS "     GRANTLEE VERSION    : " ${GRANTLEE_VERSION})

SET(SKG_VERSION "2.23.0")
SET(SKG_BETA "")
SET(SOVERSION 2)

IF (CMAKE_BUILD_TYPE)
ELSE (CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE profile)
#"release": optimized for speed, no debug symbols or debug messages
#"relwithdebinfo": optimized for speed, debug symbols for backtraces
#"debug": optimized, but debuggable
#"debugfull": no optimizations, full debug support
#"profile": adds coverage flags to debugfull
#"none": the build flags are manually set using the CMAKE_CXX_FLAGS option.
ENDIF (CMAKE_BUILD_TYPE)

FIND_PROGRAM(SKG_BASH bash)
MARK_AS_ADVANCED(SKG_BASH)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
MESSAGE( STATUS "     QT                  : " ${Qt5_VERSION} )
MESSAGE( STATUS "     PROJECT_SOURCE_DIR  : " ${PROJECT_SOURCE_DIR} )
MESSAGE( STATUS "     PROJECT_BINARY_DIR  : " ${PROJECT_BINARY_DIR} )
MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
MESSAGE( STATUS "     CMAKE_MODULE_PATH   : " ${CMAKE_MODULE_PATH} )
MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
MESSAGE( STATUS "     SKG_BUILD_TEST      : " ${SKG_BUILD_TEST} )
MESSAGE( STATUS "     SKG_DESIGNER        : " ${SKG_DESIGNER} )
MESSAGE( STATUS "     SKG_WEBENGINE       : " ${SKG_WEBENGINE} )
MESSAGE( STATUS "     KDE_INSTALL_QTPLUGINDIR : " ${KDE_INSTALL_QTPLUGINDIR})

#IF(CMAKE_BUILD_TYPE MATCHES "profile")
#  MESSAGE( STATUS "     TRACES              : All traces activated")
  #add_definitions(-DSKGFULLTRACES)
#ELSE(CMAKE_BUILD_TYPE MATCHES "profile")
#  IF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
    MESSAGE( STATUS "     TRACES              : Some traces activated")
#  ELSE(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
#    MESSAGE( STATUS "     TRACES              : All traces disabled")
#    add_definitions(-DSKGNOTRACES)
#  ENDIF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
#ENDIF(CMAKE_BUILD_TYPE MATCHES "profile")

# FIX: Qt was built with -reduce-relocations
IF(Qt5_POSITION_INDEPENDENT_CODE)
  SET(CMAKE_POSITION_INDEPENDENT_CODE ON)
ENDIF(Qt5_POSITION_INDEPENDENT_CODE)

ADD_DEFINITIONS(-DSKGVERSION=${SKG_VERSION}${SKG_BETA})
REMOVE_DEFINITIONS(-DQT_NO_CAST_FROM_ASCII)

#Correction bug 207249 vvvv
IF(CMAKE_COMPILER_IS_GNUCXX)
    CHECK_CXX_COMPILER_FLAG("-Wlogical-op" WLOGICALOP)
    IF(WLOGICALOP)
        ADD_COMPILE_OPTIONS(-Wlogical-op)
    ENDIF(WLOGICALOP)
    
    CHECK_CXX_COMPILER_FLAG("-Wnoexcept" WNOEXCEPT)
    IF(WNOEXCEPT)
        ADD_COMPILE_OPTIONS(-Wnoexcept)
    ENDIF(WNOEXCEPT)    

    ADD_COMPILE_OPTIONS(-std=c++0x -pedantic -Wall -Wextra -Wno-variadic-macros -Wparentheses -Wmissing-braces -Wcast-align -Wcast-qual -Wformat=2 -Winit-self -Wmissing-include-dirs -Woverloaded-virtual -Wsign-promo -Wstrict-null-sentinel -Wundef -Wno-unused)
    #  ADD_COMPILE_OPTIONS(-Wstrict-overflow=5  -Wshadow  -Wctor-dtor-privacy  -Wshadow -Wold-style-cast -Wswitch-default -Wredundant-decls)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
#Correction bug 207249 ^^^^

#Default installation path
SET(CMAKE_INSTALL_PREFIX ${BUILD_DIR})

# Win32 specific configuration
IF(WIN32)
    ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
    IF(CMAKE_COMPILER_IS_GNUCXX)
	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
    
    IF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
        ADD_DEFINITIONS( -DQT_DEBUG )
    ENDIF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)    
ELSE(WIN32)
#To solve Bug 209912:"ldd -u <library>""
#does not work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
ENDIF(WIN32)
MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")

#ADD_SUBDIRECTORY
ADD_SUBDIRECTORY(skgsqlcipher)
ADD_SUBDIRECTORY(skgbasemodeler)
ADD_SUBDIRECTORY(skgbankmodeler)
ADD_SUBDIRECTORY(skgbasegui)
ADD_SUBDIRECTORY(skgbankgui)

IF(SKG_DESIGNER)
    ADD_SUBDIRECTORY(skgbaseguidesigner)
    ADD_SUBDIRECTORY(skgbankguidesigner)    
ENDIF(SKG_DESIGNER)

ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(images)

IF(SKG_BUILD_TEST AND NOT WIN32)
    ADD_SUBDIRECTORY(tests)
ENDIF(SKG_BUILD_TEST AND NOT WIN32)

IF(KF5DocTools_FOUND)
  ADD_SUBDIRECTORY(doc)
ENDIF(KF5DocTools_FOUND)

#Main application
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(skroogeconvert)

# ADD_SUBDIRECTORY(skrooge-companion)
#TODO(STEPHANE MANKOWSKI) KF5 ADD_SUBDIRECTORY(skroogeakonadi)

CONFIGURE_FILE(scripts/addNewPlugin.sh.in scripts/addNewPlugin.sh @ONLY)
CONFIGURE_FILE(scripts/addNewImportPlugin.sh.in scripts/addNewImportPlugin.sh @ONLY)

#DOXYGEN
ADD_CUSTOM_TARGET(apidox "doxygen" "${PROJECT_SOURCE_DIR}/Doxyfile")

#ASTYLE
CONFIGURE_FILE(scripts/astyle.sh.in scripts/astyle.sh @ONLY)
ADD_CUSTOM_TARGET(astyle "scripts/astyle.sh")

#GENERATE SPLASH SCREEN
CONFIGURE_FILE(scripts/generateSplash.sh.in scripts/generateSplash.sh @ONLY)
ADD_CUSTOM_TARGET(splash "scripts/generateSplash.sh")

#STATIC CODE CHECKS
CONFIGURE_FILE(scripts/codecheck.sh.in scripts/codecheck.sh @ONLY)
ADD_CUSTOM_TARGET(codecheck "scripts/codecheck.sh")

CONFIGURE_FILE(CTestCustom.cmake CTestCustom.cmake @ONLY)

#FULL
CONFIGURE_FILE(scripts/full.sh scripts/full.sh @ONLY)

#GETPO
ADD_CUSTOM_COMMAND(
    OUTPUT getpocmd
    COMMAND python3 scripts/download-po.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

ADD_CUSTOM_TARGET(getpo
  DEPENDS getpocmd
  COMMENT "Re-run cmake after this to be able to run BuildTranslations with the latest files"
  )

#PO files
FIND_PACKAGE(KF5I18n CONFIG REQUIRED)
KI18N_INSTALL(po)

FIND_PACKAGE(KF5DocTools CONFIG)
IF(KF5DocTools_FOUND)
    KDOCTOOLS_INSTALL(po)
ENDIF()
  
FEATURE_SUMMARY(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== skgbankmodeler/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELER ::..")

PROJECT(SKGBANKMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbankmodeler_SRCS
   skgbankobject.cpp
   skgbudgetobject.cpp
   skgbudgetruleobject.cpp
   skgaccountobject.cpp
   skgoperationobject.cpp
   skgrecurrentoperationobject.cpp
   skgtrackerobject.cpp
   skgpayeeobject.cpp
   skgsuboperationobject.cpp
   skgcategoryobject.cpp
   skgunitobject.cpp
   skgunitvalueobject.cpp
   skgruleobject.cpp
   skginterestobject.cpp
   skgdocumentbank.cpp
   skgimportexportmanager.cpp
   skgimportplugin.cpp
   skgreportbank.cpp
 )

#build a shared library
ADD_LIBRARY(skgbankmodeler SHARED ${skgbankmodeler_SRCS})

#need to link to some other libraries ? just add them here
TARGET_LINK_LIBRARIES(skgbankmodeler LINK_PUBLIC KF5::Parts Qt5::Xml skgbasemodeler)
SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

GENERATE_EXPORT_HEADER(skgbankmodeler BASE_NAME skgbankmodeler)

ADD_SUBDIRECTORY(currency)

########### install files ###############
INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP)
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-import-plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-source-plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
INSTALL(DIRECTORY sources DESTINATION ${KDE_INSTALL_KSERVICES5DIR} FILES_MATCHING PATTERN "*.desktop")
INSTALL(PROGRAMS skrooge-yahoodl.py DESTINATION ${KDE_INSTALL_DATADIR}/skrooge)
INSTALL(PROGRAMS skrooge-ratesapi.py DESTINATION ${KDE_INSTALL_DATADIR}/skrooge)
INSTALL(PROGRAMS skrooge-cryptocompare.py DESTINATION ${KDE_INSTALL_DATADIR}/skrooge)
INSTALL(PROGRAMS skrooge-coinmarketcap.py DESTINATION ${KDE_INSTALL_DATADIR}/skrooge)
INSTALL(PROGRAMS skrooge-exchangerates.py DESTINATION ${KDE_INSTALL_DATADIR}/skrooge)

=== skgbasegui/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBASEGUI ::..")

PROJECT(SKGBASEGUI)

FIND_PACKAGE(KF5Activities) 
FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS 
  GuiAddons             # Tier 1
  Notifications         # Tier 3  
  NotifyConfig          # Tier 3  
)
IF(SKG_WEBENGINE)
    MESSAGE( STATUS "     Mode WebEngine")
    ADD_DEFINITIONS(-DSKG_WEBENGINE=${SKG_WEBENGINE})
ENDIF(SKG_WEBENGINE)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbasegui_SRCS
    skgmainpanel.cpp
    skgobjectmodelbase.cpp
    skgwidget.cpp
    skgperiodedit.cpp
    skgtabwidget.cpp
    skgtablewidget.cpp
    skgtabpage.cpp
    skginterfaceplugin.cpp
    skgtableview.cpp
    skgfilteredtableview.cpp
    skgtreeview.cpp
    skgcombobox.cpp
    skgcolorbutton.cpp
    skgzoomselector.cpp
    skgcalculatoredit.cpp
    skggraphicsscene.cpp
    skggraphicsview.cpp
    skghtmlboardwidget.cpp
    skgboardwidget.cpp
    skgtablewithgraph.cpp
    skgdateedit.cpp
    skgprogressbar.cpp
    kdateedit.cpp
    kdatepickerpopup.cpp
    kdatevalidator.cpp
    skgsortfilterproxymodel.cpp
    skgflowlayout.cpp
    skgwebview.cpp
    skgshow.cpp
    skgwidgetselector.cpp
    skgsimpleperiodedit.cpp
)

SET(LIBS KF5::Parts KF5::KIOFileWidgets KF5::NotifyConfig KF5::Notifications Qt5::QuickWidgets Qt5::PrintSupport Qt5::Svg skgbasemodeler)
IF(SKG_WEBENGINE)
    SET(LIBS ${LIBS} Qt5::WebEngineWidgets)
ELSE(SKG_WEBENGINE)
    SET(LIBS ${LIBS} Qt5::WebKitWidgets)
ENDIF(SKG_WEBENGINE)
IF(KActivities_FOUND)
    MESSAGE( STATUS "     KActivity FOUND" )
    SET(LIBS ${LIBS} KF5::Activities)
ENDIF(KActivities_FOUND)

ki18n_wrap_ui(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui skgperiodedit.ui skgfilteredtableview.ui skgwidgetselector.ui )
kconfig_add_kcfg_files(skgbasegui_SRCS skgbasegui_settings.kcfgc )

ADD_LIBRARY(skgbasegui SHARED ${skgbasegui_SRCS})
TARGET_LINK_LIBRARIES(skgbasegui LINK_PUBLIC ${LIBS})
SET_TARGET_PROPERTIES(skgbasegui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
GENERATE_EXPORT_HEADER(skgbasegui BASE_NAME skgbasegui)

########### install files ###############
INSTALL(TARGETS skgbasegui ${INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP  )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skg )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbasegui_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skg-plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

INSTALL(DIRECTORY icons_breeze/ DESTINATION ${ICON_INSTALL_DIR}/breeze/actions/22 FILES_MATCHING PATTERN "*.svgz")
INSTALL(DIRECTORY icons_breeze-dark/ DESTINATION ${ICON_INSTALL_DIR}/breeze-dark/actions/22 FILES_MATCHING PATTERN "*.svgz")

ECM_INSTALL_ICONS(ICONS
    icons_hicolor/16-actions-skg-chart-bubble.png
    icons_hicolor/22-actions-skg-chart-bubble.png
    icons_hicolor/32-actions-skg-chart-bubble.png
    icons_hicolor/48-actions-skg-chart-bubble.png
    icons_hicolor/64-actions-skg-chart-bubble.png
    icons_hicolor/128-actions-skg-chart-bubble.png
    icons_hicolor/256-actions-skg-chart-bubble.png
    icons_hicolor/512-actions-skg-chart-bubble.png
    icons_hicolor/sc-actions-skg-chart-bubble.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== skgbasemodeler/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBASEMODELER ::..")

PROJECT(SKGBASEMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

FIND_PACKAGE(Qca-qt5 2.1.0 REQUIRED)                   
SET_PACKAGE_PROPERTIES(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca-qt5"
                       TYPE REQUIRED)                       

INCLUDE_DIRECTORIES(${SQLCIPHER_INCLUDE_DIRS})
                       
IF ( Qca-qt5_FOUND )
   ADD_DEFINITIONS( -DQCA2 )
ENDIF()

SET(skgbasemodeler_SRCS
   skgobjectbase.cpp
   skgnamedobject.cpp
   skgnodeobject.cpp
   skgpropertyobject.cpp
   skgdocument.cpp
   skgdocumentprivate.cpp
   skgtransactionmng.cpp
   skgservices.cpp
   skgerror.cpp
   skgtraces.cpp
   skgadvice.cpp
   skgreport.cpp
   skgtreemap.cpp
 )

#build a shared library
ADD_LIBRARY(skgbasemodeler SHARED ${skgbasemodeler_SRCS})

#need to link to some other libraries ? just add them here
SET_TARGET_PROPERTIES(skgbasemodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
TARGET_LINK_LIBRARIES(skgbasemodeler LINK_PUBLIC KF5::I18n KF5::IconThemes KF5::ConfigWidgets KF5::CoreAddons
    Qt5::Core Qt5::Gui Qt5::Sql Qt5::Script Qt5::Xml Qt5::DBus Qt5::Concurrent qca-qt5
    Grantlee5::Templates KF5::KIOCore
    ${SQLCIPHER_LIBRARIES} )

GENERATE_EXPORT_HEADER(skgbasemodeler BASE_NAME skgbasemodeler)

########### install files ###############
INSTALL(TARGETS skgbasemodeler ${INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP )

=== skrooge/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKROOGE ::..")

PROJECT(SKROOGE)

IF(SKG_WEBENGINE)
    MESSAGE( STATUS "     Mode WebEngine")
    ADD_DEFINITIONS(-DSKG_WEBENGINE=${SKG_WEBENGINE})
ENDIF(SKG_WEBENGINE)

FIND_PACKAGE(KF5 5.0.0 REQUIRED COMPONENTS
  DBusAddons               # Tier 1
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_SRCS
   main.cpp
 )
INCLUDE(ECMAddAppIcon)
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons_hicolor/[0-9][0-9]-apps-skrooge.png")
ECM_ADD_APP_ICON(skrooge_SRCS ICONS
    "${CMAKE_CURRENT_SOURCE_DIR}/icons_hicolor/256-apps-skrooge.png"
    "${CMAKE_CURRENT_SOURCE_DIR}/icons_hicolor/128-apps-skrooge.png"
    ${ICONS_SRCS})

ADD_EXECUTABLE(skrooge ${skrooge_SRCS})

TARGET_LINK_LIBRARIES(skrooge KF5::DBusAddons skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL(PROGRAMS org.kde.skrooge.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
INSTALL(FILES org.kde.skrooge.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
INSTALL(DIRECTORY theme DESTINATION ${KDE_INSTALL_DATADIR}/skrooge FILES_MATCHING PATTERN "*.css"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )

ECM_INSTALL_ICONS(ICONS
    icons_hicolor/16-apps-skrooge-black.png
    icons_hicolor/16-apps-skrooge.png
    icons_hicolor/16-mimetypes-application-x-skg.png
    icons_hicolor/16-mimetypes-application-x-skgc.png
    icons_hicolor/22-apps-skrooge-black.png
    icons_hicolor/22-apps-skrooge.png
    icons_hicolor/22-mimetypes-application-x-skg.png
    icons_hicolor/22-mimetypes-application-x-skgc.png
    icons_hicolor/32-apps-skrooge-black.png
    icons_hicolor/32-apps-skrooge.png
    icons_hicolor/32-mimetypes-application-x-skg.png
    icons_hicolor/32-mimetypes-application-x-skgc.png
    icons_hicolor/48-apps-skrooge-black.png
    icons_hicolor/48-apps-skrooge.png
    icons_hicolor/48-mimetypes-application-x-skg.png
    icons_hicolor/48-mimetypes-application-x-skgc.png 
    icons_hicolor/64-apps-skrooge-black.png
    icons_hicolor/64-apps-skrooge.png
    icons_hicolor/64-mimetypes-application-x-skg.png
    icons_hicolor/64-mimetypes-application-x-skgc.png
    icons_hicolor/128-apps-skrooge-black.png
    icons_hicolor/128-apps-skrooge.png
    icons_hicolor/128-mimetypes-application-x-skg.png
    icons_hicolor/128-mimetypes-application-x-skgc.png
    icons_hicolor/256-apps-skrooge-black.png
    icons_hicolor/256-apps-skrooge.png
    icons_hicolor/256-mimetypes-application-x-skg.png
    icons_hicolor/256-mimetypes-application-x-skgc.png
    icons_hicolor/512-apps-skrooge-black.png
    icons_hicolor/512-apps-skrooge.png
    icons_hicolor/512-mimetypes-application-x-skg.png
    icons_hicolor/512-mimetypes-application-x-skgc.png
    icons_hicolor/sc-apps-skrooge-black.svgz
    icons_hicolor/sc-apps-skrooge-initial.svgz
    icons_hicolor/sc-apps-skrooge.svgz
    icons_hicolor/sc-mimetypes-application-x-skg.svgz
    icons_hicolor/sc-mimetypes-application-x-skgc.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)
if (NOT SHARED_MIME_INFO_MINIMUM_VERSION)
  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
endif (NOT SHARED_MIME_INFO_MINIMUM_VERSION)

find_package(SharedMimeInfo REQUIRED)

install(FILES x-skg.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== skroogeakonadi/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: SKROOGEAKONADI ::..")
PROJECT(skroogeakonadi)

FIND_PACKAGE (KdepimLibs REQUIRED)
INCLUDE(MacroLibrary)
INCLUDE(MacroOptionalAddSubdirectory)
INCLUDE(CheckIncludeFiles)

FIND_PROGRAM(XSLTPROC_EXECUTABLE xsltproc)
MACRO_LOG_FEATURE(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "https://xmlsoft.org/XSLT/" FALSE "" "Needed for building Akonadi resources. Recommended.")

if (XSLTPROC_EXECUTABLE)
  # generates a D-Bus interface description from a KConfigXT file
  macro( kcfg_generate_dbus_interface _kcfg _name )
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
              ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
              > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
    )
  endmacro( kcfg_generate_dbus_interface )
endif (XSLTPROC_EXECUTABLE)

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                        ARCHIVE DESTINATION ${LIB_INSTALL_DIR} )
endif(WIN32)

set(KDE4_ICON_DIR ${KDE4_INSTALL_DIR}/share/icons)

include_directories(
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/skgbasemodeler
    ${CMAKE_SOURCE_DIR}/${skgbankmodeler}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( skroogeakonadiresource_SRCS
  skroogeakonadiresource.cpp
)

install(FILES org.kde.skroogeakonadiresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

KCONFIG_ADD_KCFG_FILES(skroogeakonadiresource_SRCS settings.kcfgc)
KCFG_GENERATE_DBUS_INTERFACE(${CMAKE_CURRENT_SOURCE_DIR}/skroogeakonadiresource.kcfg org.kde.Akonadi.skroogeakonadi.Settings)
QT5_ADD_DBUS_ADAPTOR(skroogeakonadiresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.skroogeakonadi.Settings.xml settings.h Settings
)

#TODO(Stephane MANKOWSKI) KF5 ADD_EXECUTABLE(akonadi_skroogeakonadi_resource RUN_UNINSTALLED ${skroogeakonadiresource_SRCS})
ADD_EXECUTABLE(akonadi_skroogeakonadi_resource ${skroogeakonadiresource_SRCS})

TARGET_LINK_LIBRARIES(akonadi_skroogeakonadi_resource ${KDE4_AKONADI_LIBS} ${KDEPIMLIBS_KCALCORE_LIBS} KF5::KIOWidgets Qt5::Core Qt5::DBus skgbasemodeler skgbankmodeler)

INSTALL(TARGETS akonadi_skroogeakonadi_resource ${INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP)

=== tests/skgmyapplitest/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGMYAPPLITEST ::..")

PROJECT(skgmyapplitest)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgmyapplitest_SRCS
   main.cpp
 )
kde4_ADD_EXECUTABLE(skgmyapplitest ${skgmyapplitest_SRCS})

TARGET_LINK_LIBRARIES(skgmyapplitest KF5::Parts skgbasemodeler skgbasegui )

########### install files ###############
INSTALL(TARGETS skgmyapplitest ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skgmyapplitest.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )
INSTALL(PROGRAMS org.kde.skgmyapplitest.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
ECM_INSTALL_ICONS( ${ICON_INSTALL_DIR}   )

=== plugins/generic/skg_debug/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_DEBUG ::..")

PROJECT(plugin_debug)

IF(SKG_BUILD_TEST AND NOT WIN32)
    ADD_SUBDIRECTORY(tests)
ENDIF(SKG_BUILD_TEST AND NOT WIN32)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_debug_SRCS skgdebugplugin.cpp skgdebugpluginwidget.cpp)

ki18n_wrap_ui(skg_debug_SRCS skgdebugpluginwidget_base.ui)

ADD_LIBRARY(skg_debug MODULE ${skg_debug_SRCS})
TARGET_LINK_LIBRARIES(skg_debug KF5::Parts skgbasemodeler skgbasegui Qt5::Qml)

########### install files ###############
INSTALL(TARGETS skg_debug DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skg-plugin-debug.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_debug.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skg_debug )

=== plugins/skrooge/skrooge_payee/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_PAYEE ::..")

PROJECT(plugin_payee)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_payee_SRCS
	skgpayeeplugin.cpp
	skgpayeepluginwidget.cpp)

ki18n_wrap_ui(skrooge_payee_SRCS skgpayeepluginwidget_base.ui skgpayeepluginwidget_pref.ui)
kconfig_add_kcfg_files(skrooge_payee_SRCS skgpayee_settings.kcfgc )

ADD_LIBRARY(skrooge_payee MODULE ${skrooge_payee_SRCS})
TARGET_LINK_LIBRARIES(skrooge_payee KF5::Parts KF5::ItemViews skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_payee DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-plugin-payee.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_payee.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skrooge_payee )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgpayee_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )

=== plugins/skrooge/skrooge_search/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2020 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program. If not, see <https://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_SEARCH ::..")

PROJECT(plugin_search)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_search_SRCS
	skgsearchplugin.cpp
	skgsearchpluginwidget.cpp
        skgalarmboardwidget.cpp)

ki18n_wrap_ui(skrooge_search_SRCS skgsearchpluginwidget_base.ui skgsearchpluginwidget_pref.ui)
kconfig_add_kcfg_files(skrooge_search_SRCS skgsearch_settings.kcfgc )

ADD_LIBRARY(skrooge_search MODULE ${skrooge_search_SRCS})
TARGET_LINK_LIBRARIES(skrooge_search KF5::Parts KF5::ItemViews skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_search DESTINATION ${KDE_INSTALL_QTPLUGINDIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/org.kde.skrooge-plugin-search.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_search.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/skrooge_search )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgsearch_settings.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )

=== debian/changelog ===
skrooge (2.23.0-1) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Suggest aqbanking-tools for using AqBanking as an input backend.

  [ Pino Toscano ]
  * New upstream release.
  * Add the upstream GPG signing key.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jul 2020 06:33:32 +0200

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
                shared-mime-info,
                gettext,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
@@ -61,6 +62,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
+Suggests: aqbanking-tools (>= 5.6.10)
 Breaks: skrooge-common (<< 2.13.0-2~),
 Replaces: skrooge-common (<< 2.13.0-2~),
 Description: personal finance manager for KDE
